package models

import "time"

type SenlinAgentProject struct {
	ID            uint   `gorm:"primaryKey"`
	Identity      string `gorm:"type:char(36);uniqueIndex"`
	OwnerID       uint   `gorm:"index;not null"`
	OwnerIdentity string `gorm:"type:char(36);index"`
	Name          string `gorm:"not null"`
	Identifier    string `gorm:"index"`
	Icon          string
	Background    string
	Description   string
	CreatedAt     time.Time
	UpdatedAt     time.Time
}

func (SenlinAgentProject) TableName() string {
	return "senlin_agent_projects"
}
